org.rrd4j.core

## Class RrdInt<U extends RrdUpdater<U>>

- java.lang.Object
- - org.rrd4j.core.RrdPrimitive<U>
  - - org.rrd4j.core.RrdInt<U>

- Type Parameters:
    `U` - the updater type

      class RrdInt<U extends RrdUpdater<U>>
      extends RrdPrimitive<U>

  RRD integer primitive type.

- - ### Field Summary

    - ### Fields inherited from class org.rrd4j.core.RrdPrimitive

      `RRD_DOUBLE, RRD_INT, RRD_LONG, RRD_PRIM_SIZES, RRD_STRING, STRING_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RrdInt(RrdUpdater<U> updater)` Creates a new RRD integer primitive.
    `RrdInt(RrdUpdater<U> updater, boolean isConstant)` Creates a new RRD integer primitive.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) int` | `get()` Gets the integer value.
    `(package private) void` | `set(int value)` Sets the integer value.

    - ### Methods inherited from class org.rrd4j.core.RrdPrimitive

      `isCachingAllowed, readBytes, readDouble, readDouble, readDouble, readEnum, readInt, readLong, readString, writeBytes, writeDouble, writeDouble, writeDouble, writeDouble, writeEnum, writeInt, writeLong, writeString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RrdInt

          RrdInt(RrdUpdater<U> updater)

      Creates a new RRD integer primitive.
      Parameters:
        `updater` - the updater

    - #### RrdInt

          RrdInt(RrdUpdater<U> updater,
                 boolean isConstant)

      Creates a new RRD integer primitive.
      Parameters:
        `updater` - the updater
        `isConstant` - whether this is a constant value

  - ### Method Detail

    - #### get

          int get()
           throws IOException

      Gets the integer value.
      Returns:
        the integer value
      Throws:
        `IOException` - if an I/O error occurs

    - #### set

          void set(int value)
            throws IOException

      Sets the integer value.
      Parameters:
        `value` - the value to set
      Throws:
        `IOException` - if an I/O error occurs